v_sditx: xv_sditx.h File Reference

| v_sditx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Data Structures | Macros
xv_sditx.h File Reference

## Overview

      MODIFICATION HISTORY:

#

      Ver   Who    Date     Changes

      1.00  jsr    07/17/17 Initial release.
            jsr    02/23/2018 YUV420 color format support.

    2.0   vve    10/03/18 Add support for ST352 in C Stream

## Data Structures
struct | XV_SdiTx_Config
| This typedef contains configuration information for the SDI TX core. More...
struct | XV_SdiTx_Stream
| This typedef contains SDI TX stream specific data structure. More...
struct | XV_SdiTx
| The XV_SdiTx driver instance data. More...

## Macros
#define | XV_SDITX_H_
| Prevent circular inclusions by using protection macros. More...

## Enumerations
Handler Types
enum | XV_SdiTx_HandlerType
| These constants specify different types of handler and used to differentiate interrupt requests from peripheral. More...
SDI TX stream status
enum | XV_SdiTx_State
SDI Stream Configurable Settings
enum | XV_SdiTx_StreamSelId
SDI Debug Settings
enum | XV_SdiTx_DebugSelId
SDI Core Configurable Settings
enum | XV_SdiTx_CoreSelId
SDI Mux Pattern
enum | XV_SdiTx_MuxPattern
Default Payload Id Line 1 Number
enum | XV_SdiTx_PayloadLineNum1

## Default Payload Id Line 2 Number
#define | XV_SdiTx_GetVersion(InstancePtr)
| This macro reads the TX version. More...
#define | XV_SdiTx_VidLckIntrClr(InstancePtr)
#define | XV_SdiTx_VidUnlckIntrClr(InstancePtr)
enum | XV_SdiTx_PayloadLineNum2
typedef void(* | XV_SdiTx_Callback )(void *CallbackRef)
| Callback type for interrupt. More...
XV_SdiTx_Config * | XV_SdiTx_LookupConfig (u16 DeviceId)
| This function returns a reference to an XV_SdiTx_Config structure based on the core id, DeviceId. More...
int | XV_SdiTx_CfgInitialize (XV_SdiTx *InstancePtr, XV_SdiTx_Config *CfgPtr, UINTPTR EffectiveAddr)
| This function initializes the SDI TX core. More...
void | XV_SdiTx_Reset (XV_SdiTx *InstancePtr)
| This function clears the SDI TX core registers and sets them to the defaults. More...
void | XV_SdiTx_ClearPayloadId (XV_SdiTx *InstancePtr)
| This function clears the SDI TX PayloadId. More...
u32 | XV_SdiTx_SetStream (XV_SdiTx *InstancePtr, XV_SdiTx_StreamSelId SelId, u32 Data, u8 StreamId)
| This function sets the SDI TX stream parameters. More...
void | XV_SdiTx_StreamStart (XV_SdiTx *InstancePtr)
| This function starts the TX SDI stream. More...
void | XV_SdiTx_StartSdi (XV_SdiTx *InstancePtr, XSdiVid_TransMode SdiMode, XSdiVid_BitRate IsFractional, XV_SdiTx_MuxPattern MuxPattern)
| This function starts the SDI TX core. More...
int | XV_SdiTx_StopSdi (XV_SdiTx *InstancePtr)
| This function disables the SDI TX core. More...
int | XV_SdiTx_SetVidFormat (XV_SdiTx *InstancePtr, XVidC_ColorFormat ColorFormat)
void | XV_SdiTx_ReportDetectedError (XV_SdiTx *InstancePtr)
| This function reports the detected error by the TX core. More...
void | XV_SdiTx_ClearDetectedError (XV_SdiTx *InstancePtr)
| This function clears the detected error flag and counter. More...
u32 | XV_SdiTx_GetPayload (XV_SdiTx *InstancePtr, XVidC_VideoMode VideoMode, XSdiVid_TransMode SdiMode, u8 DataStream)
| This function calculates the final st352 payload value for all SDI modes with given video mode and SDI data stream number. More...
void | XV_SdiTx_SetPayloadId (XV_SdiTx *InstancePtr, u8 DataStream, u32 Payload)
| This function sets the payload id to be sent out by the TX core. More...
void | XV_SdiTx_SetPayloadLineNum (XV_SdiTx *InstancePtr, XV_SdiTx_PayloadLineNum1 Field1LineNum, XV_SdiTx_PayloadLineNum2 Field2LineNum, u8 Field2En)
| This function sets the line number of which the HANC space will be inserted with ST 352 packets. More...
void | XV_SdiTx_SetCoreSettings (XV_SdiTx *InstancePtr, XV_SdiTx_CoreSelId SelId, u8 Data)
| This function sets the SDI TX core settings. More...
u8 | XV_SdiTx_GetPayloadFrameRate (XVidC_FrameRate FrameRateValid, XSdiVid_BitRate BitRate)
| This function calculates the equivalent payload nibble for Framerate. More...
u8 | XV_SdiTx_GetPayloadIsInterlaced (XVidC_VideoFormat VideoFormat)
| This function calculates the equivalent payload bit for given VideoFormat. More...
u8 | XV_SdiTx_GetPayloadAspectRatio (XVidC_AspectRatio AspectRatio)
| This function calculates the equivalent payload bit for given AspectRatio. More...
u32 | XV_SdiTx_GetPayloadByte1 (u16 VActiveValid, XSdiVid_TransMode SdiMode, u8 *Data)
| This function calculates the 2nd byte of the Payload packet for all SDI modes. More...
u8 | XV_SdiTx_GetPayloadColorFormat (XSdiVid_TransMode SdiMode, XVidC_ColorFormat ColorFormatId)
| This function calculates the Color Format for 3rd byte of the Payload packet for all SDI modes. More...
int | XV_SdiTx_SetColorFormat (XV_SdiTx *InstancePtr, XVidC_ColorFormat ColorFormat)
| This function Set the video format of the SDI TX core. More...
void | XV_SdiTx_ST352CStreamEnable (XV_SdiTx *InstancePtr)
| This function enables the insertion of ST352 in C stream of the SDI TX Ss core. More...
void | XV_SdiTx_ST352CSwitch3GA (XV_SdiTx *InstancePtr)
| This function enables the ST352 value to be used from DS2 instead of DS3 register in C stream of the SDI TX Ss core. More...
void | XV_SdiTx_VidBridgeEnable (XV_SdiTx *InstancePtr)
| This function enables the video bridge. More...
void | XV_SdiTx_VidBridgeDisable (XV_SdiTx *InstancePtr)
| This function disables the video bridge. More...
void | XV_SdiTx_Axi4sBridgeVtcEnable (XV_SdiTx *InstancePtr)
| This function enables the AXI4S Bridge. More...
void | XV_SdiTx_Axi4sBridgeVtcDisable (XV_SdiTx *InstancePtr)
| This function disables the AXI4S Bridge. More...
void | XV_SdiTx_SetVidBridgeMode (XV_SdiTx *InstancePtr, XSdiVid_TransMode Mode)
| This function sets the video bridge mode. More...
void | XV_SdiTx_DebugInfo (XV_SdiTx *InstancePtr, XV_SdiTx_DebugSelId SelId)
| This function prints stream and timing information on STDIO/Uart console. More...
u32 | XV_SdiTx_SelfTest (XV_SdiTx *InstancePtr)
| Runs a self-test on the driver/device. More...
u32 | XV_SdiTx_GetIntrEnable (XV_SdiTx *InstancePtr)
| This function will get the interrupt mask set (enabled) in the SDI Tx core. More...
u32 | XV_SdiTx_GetIntrStatus (XV_SdiTx *InstancePtr)
| This function will get the list of interrupts pending in the Interrupt Status Register of the SDI Tx core. More...
void | XV_SdiTx_InterruptClear (XV_SdiTx *InstancePtr, u32 Mask)
| This function will clear the interrupts set in the Interrupt Status Register of the SDI Tx core. More...
void | XV_SdiTx_IntrHandler (void *InstancePtr)
| This function is the interrupt handler for the SDI TX driver. More...
int | XV_SdiTx_SetCallback (XV_SdiTx *InstancePtr, u32 HandlerType, void *CallbackFunc, void *CallbackRef)
| This function installs an asynchronous callback function for the given HandlerType: More...
void | XV_SdiTx_IntrDisable (XV_SdiTx *InstancePtr, u32 Mask)
| This function disables the selected interrupt. More...
void | XV_SdiTx_IntrEnable (XV_SdiTx *InstancePtr, u32 Mask)
| This function enables the selected interrupt. More...
void | XV_SdiTx_SetYCbCr444_RGB_10bit (XV_SdiTx *InstancePtr)
| This function enables 10bit YUV444 color format support for SDI Tx. More...
void | XV_SdiTx_ClearYCbCr444_RGB_10bit (XV_SdiTx *InstancePtr)
| This function disables 10bit YUV444 color format support for SDI Tx. More...

## Macro Definition Documentation

#define XV_SdiTx_GetVersion | ( |  | InstancePtr | ) |

Value:
XV_SdiTx_ReadReg((InstancePtr)->Config.BaseAddress, \
(XV_SDITX_VER_OFFSET))
XV_SdiTx_ReadReg
#define XV_SdiTx_ReadReg(BaseAddress, RegOffset)
This macro reads a value from a SDI TX register.
Definition: xv_sditx_hw.h:247

This macro reads the TX version.

Parameters

  InstancePtr | is a pointer to the XV_SdiTX core instance.

Returns
  None.

#define XV_SDITX_H_

Prevent circular inclusions by using protection macros.

## Typedef Documentation

typedef void(* XV_SdiTx_Callback)(void *CallbackRef)

Callback type for interrupt.

Parameters

  CallbackRef | is a callback reference passed in by the upper layer when setting the callback functions, and passed back to the upper layer when the callback is invoked.

Returns
  None.

Note
  None.

## Enumeration Type Documentation

enum XV_SdiTx_HandlerType

These constants specify different types of handler and used to differentiate interrupt requests from peripheral.

## Function Documentation

void XV_SdiTx_Axi4sBridgeVtcDisable | ( | XV_SdiTx * | InstancePtr | ) |

This function disables the AXI4S Bridge.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_Axi4sBridgeVtcEnable | ( | XV_SdiTx * | InstancePtr | ) |

This function enables the AXI4S Bridge.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

int XV_SdiTx_CfgInitialize | ( | XV_SdiTx * | InstancePtr,
|  | XV_SdiTx_Config * | CfgPtr,
|  | UINTPTR | EffectiveAddr
| ) |  |

This function initializes the SDI TX core.

This function must be called prior to using the SDI TX core. Initialization of the SDI TX includes setting up the instance data and ensuring the hardware is in a quiescent state.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  CfgPtr | points to the configuration structure associated with the SDI TX core.
  EffectiveAddr | is the base address of the device. If address translation is being used, then this parameter must reflect the virtual base address. Otherwise, the physical address should be used.

Returns
  - XST_SUCCESS if XV_SdiTx_CfgInitialize was successful.
  - XST_FAILURE if SDI TX initialization failed

Note
  None.

References XV_SdiTx::Axi4sVidLockCallback, XV_SdiTx_Config::BaseAddress, XV_SdiTx::CeAlignErrCallback, XV_SdiTx::Config, XV_SdiTx::GtRstDoneCallback, XV_SdiTx::IsReady, XV_SdiTx::OverFlowCallback, XV_SdiTx::State, XV_SdiTx::UnderFlowCallback, XV_SdiTx_Reset(), XV_SdiTx_SetCoreSettings(), and XV_SdiTx_StopSdi().

Referenced by XV_SdiTxSelfTestExample().

void XV_SdiTx_ClearDetectedError | ( | XV_SdiTx * | InstancePtr | ) |

This function clears the detected error flag and counter.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

Referenced by XV_SdiTx_StartSdi().

void XV_SdiTx_ClearPayloadId | ( | XV_SdiTx * | InstancePtr | ) |

This function clears the SDI TX PayloadId.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None

Note
  This is required after a reset or init.

References XV_SdiTx_SetPayloadId().

Referenced by XV_SdiTx_Reset().

void XV_SdiTx_ClearYCbCr444_RGB_10bit | ( | XV_SdiTx * | InstancePtr | ) |

This function disables 10bit YUV444 color format support for SDI Tx.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_DebugInfo | ( | XV_SdiTx * | InstancePtr,
|  | XV_SdiTx_DebugSelId | SelId
| ) |  |

This function prints stream and timing information on STDIO/Uart console.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  SelId | specifies which debug information to be printed out

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx::Stream, XV_SdiTx::Transport, XV_SdiTx_Stream::Video, and XV_SdiTx_ReadReg.

u32 XV_SdiTx_GetIntrEnable | ( | XV_SdiTx * | InstancePtr | ) |

This function will get the interrupt mask set (enabled) in the SDI Tx core.

Parameters

  InstancePtr | is the XV_SdiTx instance to operate on

Returns
  Interrupt Mask with bits set for corresponding interrupt in Interrupt enable register

Note
  None

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, and XV_SdiTx_ReadReg.

u32 XV_SdiTx_GetIntrStatus | ( | XV_SdiTx * | InstancePtr | ) |

This function will get the list of interrupts pending in the Interrupt Status Register of the SDI Tx core.

Parameters

  InstancePtr | is the XV_SdiTx instance to operate on

Returns
  Interrupt Mask with bits set for corresponding interrupt in Interrupt Status register

Note
  None

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, and XV_SdiTx_ReadReg.

Referenced by XV_SdiTx_IntrHandler().

u32 XV_SdiTx_GetPayload | ( | XV_SdiTx * | InstancePtr,
|  | XVidC_VideoMode | VideoMode,
|  | XSdiVid_TransMode | SdiMode,
|  | u8 | DataStream
| ) |  |

This function calculates the final st352 payload value for all SDI modes with given video mode and SDI data stream number.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  VideoMode | is a variable of type XVidC_VideoMode.
  SdiMode | is a variable of type XSdiVid_TransMode.
  DataStream | is the stream number for which payload is calculated.

Returns
  XST_SUCCESS / XST_FAILURE.

Note
  None.

References XV_SdiTx_Stream::CAssignment, XV_SdiTx::Stream, XV_SdiTx::Transport, XV_SdiTx_Stream::Video, XV_SdiTx_GetPayloadAspectRatio(), XV_SdiTx_GetPayloadByte1(), XV_SdiTx_GetPayloadColorFormat(), XV_SdiTx_GetPayloadFrameRate(), and XV_SdiTx_GetPayloadIsInterlaced().

u8 XV_SdiTx_GetPayloadAspectRatio | ( | XVidC_AspectRatio | AspectRatio | ) |

This function calculates the equivalent payload bit for given AspectRatio.

Parameters

  AspectRatio | is a variable of type XVidC_AspectRatio.

Returns
  - returns 0 for 4x3 aspect ratio
  - returns 1 for 16x9 aspect ratio

Note
  None.

Referenced by XV_SdiTx_GetPayload().

u32 XV_SdiTx_GetPayloadByte1 | ( | u16 | VActiveValid,
|  | XSdiVid_TransMode | SdiMode,
|  | u8 * | Data
| ) |  |

This function calculates the 2nd byte of the Payload packet for all SDI modes.

Parameters

  VActiveValid | is a variable for number of active vertical lines.
  SdiMode | is a variable to the XSdiVid_TransMode.
  Data | is a pointer to populate the Byte1 of ST352 payload.

Returns
  - returns 8-bit value

Note
  None.

Referenced by XV_SdiTx_GetPayload().

u8 XV_SdiTx_GetPayloadColorFormat | ( | XSdiVid_TransMode | SdiMode,
|  | XVidC_ColorFormat | ColorFormatId
| ) |  |

This function calculates the Color Format for 3rd byte of the Payload packet for all SDI modes.

Parameters

  SdiMode | is a variable to the XSdiVid_TransMode.
  ColorFormatId | is a variable of type XVidC_ColorFormat.

Returns
  - returns 8-bit value

Note
  None.

Referenced by XV_SdiTx_GetPayload().

u8 XV_SdiTx_GetPayloadFrameRate | ( | XVidC_FrameRate | FrameRateValid,
|  | XSdiVid_BitRate | BitRate
| ) |  |

This function calculates the equivalent payload nibble for Framerate.

Parameters

  FrameRateValid | is a calculated framerate based on interlaced or progressive video.
  BitRate | is a variable of type XSdiVid_BitRate.

Returns
  - returns 4-bit value

Note
  None.

Referenced by XV_SdiTx_GetPayload().

u8 XV_SdiTx_GetPayloadIsInterlaced | ( | XVidC_VideoFormat | VideoFormat | ) |

This function calculates the equivalent payload bit for given VideoFormat.

Parameters

  VideoFormat | is a variable of type XVidC_VideoFormat.

Returns
  - returns 1-bit value

Note
  None.

Referenced by XV_SdiTx_GetPayload().

void XV_SdiTx_InterruptClear | ( | XV_SdiTx * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function will clear the interrupts set in the Interrupt Status Register of the SDI Tx core.

Parameters

  InstancePtr | is the XV_SdiTx instance to operate on
  Mask | is Interrupt Mask with bits set for corresponding interrupt to be cleared in the Interrupt Status register

Returns
  None

Note
  None

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

Referenced by XV_SdiTx_IntrHandler().

void XV_SdiTx_IntrDisable | ( | XV_SdiTx * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function disables the selected interrupt.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  Mask | to be disabled.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, and XV_SdiTx_WriteReg.

void XV_SdiTx_IntrEnable | ( | XV_SdiTx * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function enables the selected interrupt.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  Mask | to be enabled.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_IntrHandler | ( | void * | InstancePtr | ) |

This function is the interrupt handler for the SDI TX driver.

This handler reads the pending interrupt for GT reset done interrupt from Tx IP, determines the source of the interrupts, clears the interrupts and calls callbacks accordingly.

The application is responsible for connecting this function to the interrupt system. Application beyond this driver is also responsible for providing callbacks to handle interrupts and installing the callbacks using XV_SdiTx_SetCallback() during initialization phase. An example delivered with this driver demonstrates how this could be done.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx instance that just interrupted.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx::IsReady, XV_SdiTx_GetIntrStatus(), XV_SdiTx_InterruptClear(), and XV_SdiTx_ReadReg.

XV_SdiTx_Config* XV_SdiTx_LookupConfig | ( | u16 | DeviceId | ) |

This function returns a reference to an XV_SdiTx_Config structure based on the core id, DeviceId.

The return value will refer to an entry in the device configuration table defined in the xv_sditx_g.c file.

Parameters

  DeviceId | is the unique core ID of the SDI TX core for the lookup operation.

Returns
  XV_SdiTx_LookupConfig returns a reference to a config record in the configuration table (in xv_sditx_g.c) corresponding to DeviceId, or NULL if no match is found.

Note
  None.

Referenced by XV_SdiTxSelfTestExample().

void XV_SdiTx_ReportDetectedError | ( | XV_SdiTx * | InstancePtr | ) |

This function reports the detected error by the TX core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, and XV_SdiTx_ReadReg.

void XV_SdiTx_Reset | ( | XV_SdiTx * | InstancePtr | ) |

This function clears the SDI TX core registers and sets them to the defaults.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None

Note
  This is required after a reset or init.

References XV_SdiTx_ClearPayloadId().

Referenced by XV_SdiTx_CfgInitialize().

int XV_SdiTx_SetCallback | ( | XV_SdiTx * | InstancePtr,
|  | u32 | HandlerType,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs an asynchronous callback function for the given HandlerType:

    HandlerType                       Callback Function Type
    -------------------------         -------------------------------------------
    (XV_SDITX_HANDLER_GTRESET_DONE) GtRstDoneCallback
    (XV_SDITX_HANDLER_OVERFLOW)             OverFlowCallback
    (XV_SDITX_HANDLER_UNDERFLOW)            UnderFlowCallback

Parameters

  InstancePtr | is a pointer to the SDI TX core instance.
  HandlerType | specifies the type of handler.
  CallbackFunc | is the address of the callback function.
  CallbackRef | is a user data item that will be passed to the callback function when it is invoked.

Returns
  - XST_SUCCESS if callback function installed successfully.
  - XST_INVALID_PARAM when HandlerType is invalid.

Note
  Invoking this function for a handler that already has been installed replaces it with the new handler.

References XV_SdiTx::Axi4sVidLockCallback, XV_SdiTx::Axi4sVidLockRef, XV_SdiTx::CeAlignErrCallback, XV_SdiTx::CeAlignErrRef, XV_SdiTx::GtRstDoneCallback, XV_SdiTx::GtRstDoneRef, XV_SdiTx::OverFlowCallback, XV_SdiTx::OverFlowRef, XV_SdiTx::UnderFlowCallback, and XV_SdiTx::UnderFlowRef.

int XV_SdiTx_SetColorFormat | ( | XV_SdiTx * | InstancePtr,
|  | XVidC_ColorFormat | ColorFormat
| ) |  |

This function Set the video format of the SDI TX core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  ColorFormat | is a variable of type XVidC_ColorFormat.

Returns
  - XST_SUCCESS if register write is successfule for SDI stop
  - XST_FAILURE if SDI stop write is failed

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx::Transport, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_SetCoreSettings | ( | XV_SdiTx * | InstancePtr,
|  | XV_SdiTx_CoreSelId | SelId,
|  | u8 | Data
| ) |  |

This function sets the SDI TX core settings.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  SelId | specifies which parameter of the stream to be set. 0 = XV_SDITX_CORESELID_INSERTCRC 1 = XV_SDITX_CORESELID_INSERTST352 2 = XV_SDITX_CORESELID_ST352OVERWRITE 3 = XV_SDITX_CORESELID_INSERTSYNCBIT 4 = XV_SDITX_CORESELID_SDBITREPBYPASS 5 = XV_SDITX_CORESELID_USEANCIN 6 = XV_SDITX_CORESELID_INSERTLN 7 = XV_SDITX_CORESELID_INSERTEDH
  Data | specifies what data to be set for the selected parameter.

Returns

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

Referenced by XV_SdiTx_CfgInitialize().

void XV_SdiTx_SetPayloadId | ( | XV_SdiTx * | InstancePtr,
|  | u8 | DataStream,
|  | u32 | Payload
| ) |  |

This function sets the payload id to be sent out by the TX core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  DataStream | specifies the stream which ST352 payload id is to be inserted.
  Payload | specfies the data to be sent out as ST352 payload id.

Returns
  None.

Note
  None.

References XV_SdiTx_WriteReg.

Referenced by XV_SdiTx_ClearPayloadId(), and XV_SdiTx_StreamStart().

void XV_SdiTx_SetPayloadLineNum | ( | XV_SdiTx * | InstancePtr,
|  | XV_SdiTx_PayloadLineNum1 | Field1LineNum,
|  | XV_SdiTx_PayloadLineNum2 | Field2LineNum,
|  | u8 | Field2En
| ) |  |

This function sets the line number of which the HANC space will be inserted with ST 352 packets.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  Field1LineNum | specifies the field 1 line number of which ST352 packets are to be inserted
  Field2LineNum | specifies the field 2 line number of which ST352 packets are to be inserted
  Field2En | specifies whether the TX core will send out ST352 packets in field 2 line number or not.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

u32 XV_SdiTx_SetStream | ( | XV_SdiTx * | InstancePtr,
|  | XV_SdiTx_StreamSelId | SelId,
|  | u32 | Data,
|  | u8 | StreamId
| ) |  |

This function sets the SDI TX stream parameters.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  SelId | specifies which parameter of the stream to be set. 0 = XV_SDITX_STREAMSELID_VMID 1 = XV_SDITX_STREAMSELID_COLORFORMAT 2 = XV_SDITX_STREAMSELID_BPC 3 = XV_SDITX_STREAMSELID_PPC 4 = XV_SDITX_STREAMSELID_ASPECTRATIO 5 = XV_SDITX_STREAMSELID_STANDARD 6 = XV_SDITX_STREAMSELID_STREAMINTERLACE 7 = XV_SDITX_STREAMSELID_CHANNEL
  Data | specifies what data to be set for the selected parameter.
  StreamId | specifies which of the streams to be set.

Returns
  - XST_SUCCESS on successful Set stream
    - XST_FAILURE if TimingPtr is not derived

Note
  None.

References XV_SdiTx_Stream::CAssignment, XV_SdiTx::Stream, and XV_SdiTx_Stream::Video.

void XV_SdiTx_SetVidBridgeMode | ( | XV_SdiTx * | InstancePtr,
|  | XSdiVid_TransMode | Mode
| ) |  |

This function sets the video bridge mode.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  Mode | specifies the SDI bridge mode.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx::Transport, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_SetYCbCr444_RGB_10bit | ( | XV_SdiTx * | InstancePtr | ) |

This function enables 10bit YUV444 color format support for SDI Tx.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_ST352CStreamEnable | ( | XV_SdiTx * | InstancePtr | ) |

This function enables the insertion of ST352 in C stream of the SDI TX Ss core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_ST352CSwitch3GA | ( | XV_SdiTx * | InstancePtr | ) |

This function enables the ST352 value to be used from DS2 instead of DS3 register in C stream of the SDI TX Ss core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_StartSdi | ( | XV_SdiTx * | InstancePtr,
|  | XSdiVid_TransMode | SdiMode,
|  | XSdiVid_BitRate | IsFractional,
|  | XV_SdiTx_MuxPattern | MuxPattern
| ) |  |

This function starts the SDI TX core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.
  SdiMode | specifies the SDI mode of the SDI TX.
  IsFractional | specifies the bitrate of the SDI TX.
  MuxPattern | specifies the data stream interleaving pattern to be used.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ClearDetectedError(), XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

Referenced by XV_SdiTx_StreamStart().

int XV_SdiTx_StopSdi | ( | XV_SdiTx * | InstancePtr | ) |

This function disables the SDI TX core.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  - XST_SUCCESS if register write is successfule for SDI stop
  - XST_FAILURE if SDI stop write is failed

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

Referenced by XV_SdiTx_CfgInitialize(), and XV_SdiTx_SelfTest().

void XV_SdiTx_StreamStart | ( | XV_SdiTx * | InstancePtr | ) |

This function starts the TX SDI stream.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx::State, XV_SdiTx::Stream, XV_SdiTx::Transport, XV_SdiTx_ReadReg, XV_SdiTx_SetPayloadId(), and XV_SdiTx_StartSdi().

void XV_SdiTx_VidBridgeDisable | ( | XV_SdiTx * | InstancePtr | ) |

This function disables the video bridge.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None.

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.

void XV_SdiTx_VidBridgeEnable | ( | XV_SdiTx * | InstancePtr | ) |

This function enables the video bridge.

Parameters

  InstancePtr | is a pointer to the XV_SdiTx core instance.

Returns
  None

Note
  None.

References XV_SdiTx_Config::BaseAddress, XV_SdiTx::Config, XV_SdiTx_ReadReg, and XV_SdiTx_WriteReg.